Page MenuHomePhabricator

Enable 2FA on wmfgerrit github account
Closed, ResolvedPublic

Description

We discussed this in #wikimedia-releng and realised that we'll need to sort out the bots, wmfgerrit and wmfphab. wmfgerrit uses SSH for actual automated actions so should be simple (someone with the password or access to the email behind it needs to go in and add MFA), wmfphab apparently uses HTTPS pushing so will need to switch to an access token I think.

We need to enable 2FA (and save the seed possibly in the releng password store too with the account password?)

No other updates should be necessary...

Event Timeline

Reedy created this task.Jul 4 2018, 10:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2018, 10:18 PM
greg claimed this task.Nov 27 2018, 7:01 PM
greg triaged this task as Medium priority.
greg added a subscriber: greg.

I'll do this sometime this week and add the relevant info to our pwstore.

greg closed this task as Resolved.Dec 12 2018, 7:45 PM

Done.

greg moved this task from Backlog to Done on the User-greg board.Dec 12 2018, 7:45 PM